<?php
/**
 * Extend Media Upload
 *
 * @package    Extend Media Upload
 * @subpackage ExtendMediaUploadRegist registered in the database
/*
	Copyright (c) 2018- Katsushi Kawamori (email : dodesyoswift312@gmail.com)
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; version 2 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

$extendmediauploadregist = new ExtendMediaUploadRegist();

/** ==================================================
 * Register Database
 */
class ExtendMediaUploadRegist {

	/** ==================================================
	 * Construct
	 *
	 * @since 1.00
	 */
	public function __construct() {

		add_action( 'admin_init', array( $this, 'register_settings' ) );

	}

	/** ==================================================
	 * Settings register
	 *
	 * @since 1.00
	 */
	public function register_settings() {

		/* Old option 1.12 -> New option 1.13 */
		if ( get_option( 'extendmediaupload_settings_' . get_current_user_id() ) ) {
			update_user_option( get_current_user_id(), 'extendmediaupload', get_option( 'extendmediaupload_settings_' . get_current_user_id() ) );
			delete_option( 'extendmediaupload_settings_' . get_current_user_id() );
		}

		$subdir = null;
		if ( 1 == get_option( 'uploads_use_yearmonth_folders' ) ) {
			if ( function_exists( 'wp_date' ) ) {
				$postdategmt = wp_date( 'Y-m-d H:i:s', null, new DateTimeZone( 'UTC' ) );
			} else {
				$postdategmt = date_i18n( 'Y-m-d H:i:s', false, true );
			}
			$y = substr( $postdategmt, 0, 4 );
			$m = substr( $postdategmt, 5, 2 );
			$subdir = "/$y/$m";
		}
		$dateset = 'new';
		if ( function_exists( 'wp_date' ) ) {
			$datefixed = wp_date( 'Y-m-d H:i:s' );
		} else {
			$datefixed = date_i18n( 'Y-m-d H:i:s' );
		}

		if ( ! get_user_option( 'extendmediaupload', get_current_user_id() ) ) {
			$extendmediaupload_tbl = array(
				'subdir' => $subdir,
				'dateset' => $dateset,
				'datefixed' => $datefixed,
			);
			update_user_option( get_current_user_id(), 'extendmediaupload', $extendmediaupload_tbl );
		} else {
			$extendmediaupload_settings = get_user_option( 'extendmediaupload', get_current_user_id() );
			if ( 1 == get_option( 'uploads_use_yearmonth_folders' ) ) {
				$extendmediaupload_settings['subdir'] = $subdir;
			}
			if ( array_key_exists( 'character_code', $extendmediaupload_settings ) ) {
				 /* Ver 2.00 later */
				unset( $extendmediaupload_settings['character_code'] );
			}
			update_user_option( get_current_user_id(), 'extendmediaupload', $extendmediaupload_settings );
		}

	}

}


